{% macro field(name, content, label, options) %}
    {% set help_text = options.help_text %}
    <div class="form-group {{ required ? 'required' : '' }}">
        <label class="col-sm-2 control-label"
               for="input-{{ name }}">
            {% if help_text %}
                <span data-toggle="tooltip"
                      title="{{ help_text }}">{{ label }}</span>
            {% else %}
                {{ label }}
            {% endif %}
        </label>
        <div class="col-sm-10">
            {{ content }}
        </div>
    </div>
{% endmacro %}

{% macro select(name, items, value, options) %}
    {% set required = options.required %}
    <select id="input-{{ name }}"
            class="form-control"
            name="{{ name }}"
            {{ required ? 'required' : '' }}
    >
        {% for item in items %}
            <option
                    value="{{ item['id'] }}"
                    {% if item['id'] == value %}
                        selected
                    {% endif %}
            >
                {{ item['name'] }}
            </option>
        {% endfor %}
    </select>
{% endmacro %}

{% macro selectMultiple(name, items, values, options) %}
    {% set required = options.required %}
    <select
            id="input-{{ name }}"
            multiple
            class="form-control"
            name="{{ name }}"
            {{ required ? 'required' : '' }}
    >
        {% for item in items %}
            <option
                    value="{{ item['id'] }}"
                    {% if item['id'] in values %}
                        selected
                    {% endif %}
            >
                {{ item['name'] }}
            </option>
        {% endfor %}
    </select>
{% endmacro %}

{% macro yes_no(name, value, options) %}
    {{ _self.select(name, [{ id:0, name: 'Disabled'}, {id: 1, name: 'Enabled'}], value|number_format, options) }}
{% endmacro %}


{% macro input(name, value, options) %}
    {% set required = options.required %}
    <input
            id="input-{{ name }}"
            class="form-control"
            name="{{ name }}"
            value="{{ value }}"
            {{ required ? 'required' : '' }}
    />
{% endmacro %}

{% macro date(name, value, options) %}
    {% set required = options.required %}
    <div class="input-group date"
         id="date-{{ name }}">
        <input
                type="text"
                name="{{ name }}"
                placeholder="{{ label }}"
                data-date-format="YYYY-MM-DD"
                id="input-{{ name }}"
                class="form-control"
                value="{{ value }}"
                {{ required ? 'required' : '' }}
        />
        <span class="input-group-btn">
          <button type="button"
                  class="btn btn-default"><i class="fa fa-calendar"></i></button>
        </span>
    </div>
    <script>
        $('#date-{{ name }}').datetimepicker({
            language: 'ru',
            pickTime: false
        })
    </script>
{% endmacro %}

{% macro datetime(name, value, options) %}
    {% set required = options.required %}
    <div class="input-group date"
         id="datetime-{{ name }}">
        <input
                type="text"
                name="{{ name }}"
                data-date-format="YYYY-MM-DD HH:mm"
                id="input-{{ name }}"
                class="form-control"
                value="{{ value }}"
                {{ required ? 'required' : '' }}
        />
        <span class="input-group-btn">
          <button type="button"
                  class="btn btn-default"><i class="fa fa-calendar"></i></button>
        </span>
    </div>
    <script>
        $('#datetime-{{ name }}').datetimepicker({
            language: 'ru',
            pickTime: true
        })
    </script>
{% endmacro %}

{% macro checkbox(name, value, options) %}
    {% set required = options.required %}
    <input
            id="input-{{ name }}"
            type="checkbox"
            class="form-control"
            name="{{ name }}"
            value="1" {{ value ? 'checked' : '' }}
            {{ required ? 'required' : '' }}
    />
{% endmacro %}

{% macro checkboxes(name, items, values) %}
    {% for item in items %}
        <div class="checkbox">
            <label>
                <input
                        type="checkbox"
                        name="{{ name }}[]"
                        value="{{ manufacturer.manufacturer_id }}"
                        {% if item['id'] in values %}
                            checked="checked"
                        {% endif %}
                />
                {{ item.name }}
            </label>
        </div>
    {% endfor %}
{% endmacro %}

{% macro checkbox_value(name, value, checked, options) %}
    {% set required = options.required %}
    <input
            id="input-{{ name }}"
            type="checkbox"
            class="form-control"
            name="{{ name }}"
            value="{{ value }}"
            {{ checked ? 'checked' : '' }}
            {{ required ? 'required' : '' }}
    />
{% endmacro %}

{% macro image(name, value, thumb, placeholder) %}
    <a href=""
       id="thumb-{{ name }}"
       data-toggle="image"
       class="img-thumbnail">
        <img src="{{ thumb }}"
             alt=""
             title=""
             data-placeholder="{{ placeholder }}"/></a>
    <input type="hidden"
           name="{{ name }}"
           value="{{ value }}"
           id="input-{{ name }}"/>
{% endmacro %}

{% macro wysiwyg(name, value, options) %}
    {% set required = options.required %}
    <textarea
            class="form-control"
            data-toggle="summernote"
            name="{{ name }}"
    {{ required ? 'required' : '' }}
  >{{ value }}</textarea>
{% endmacro %}

{% macro textarea(name, value, options) %}
    {% set required = options.required %}
    <textarea
            class="form-control"
            name="{{ name }}"
            id="textarea-{{ name }}"
    {{ required ? 'required' : '' }}
  >{{ value }}</textarea>
{% endmacro %}
